Package org.wso2.carbon.proxyadmin.util

## Class ConfigHolder

- java.lang.Object
- - org.wso2.carbon.proxyadmin.util.ConfigHolder

-     public class ConfigHolder
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addProxyObserver​(int id, ProxyObserver observer)` |
    `void` | `addSynapseEnvironmentService​(int id, org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)` |
    `static ConfigHolder` | `getInstance()` |
    `Map<Integer,​ProxyObserver>` | `getProxyObservers()` |
    `ProxyObserver` | `getProxyObsever​(int id)` |
    `org.wso2.carbon.registry.core.service.RegistryService` | `getRegistryService()` |
    `org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService` | `getSynapseEnvironmentService​(int id)` |
    `Map<Integer,​org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService>` | `getSynapseEnvironmentServices()` |
    `void` | `removeProxyObserver​(int id)` |
    `void` | `removeSynapseEnvironmentService​(int id)` |
    `void` | `setRegistryService​(org.wso2.carbon.registry.core.service.RegistryService registryService)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ConfigHolder getInstance()

    - #### getRegistryService

          public org.wso2.carbon.registry.core.service.RegistryService getRegistryService()
                                                                                   throws ProxyAdminException

      Throws:
        `ProxyAdminException`

    - #### setRegistryService

          public void setRegistryService​(org.wso2.carbon.registry.core.service.RegistryService registryService)

    - #### getProxyObsever

          public ProxyObserver getProxyObsever​(int id)

    - #### addProxyObserver

          public void addProxyObserver​(int id,
                                       ProxyObserver observer)

    - #### removeProxyObserver

          public void removeProxyObserver​(int id)

    - #### getSynapseEnvironmentService

          public org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService getSynapseEnvironmentService​(int id)

    - #### addSynapseEnvironmentService

          public void addSynapseEnvironmentService​(int id,
                                                   org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)

    - #### removeSynapseEnvironmentService

          public void removeSynapseEnvironmentService​(int id)

    - #### getSynapseEnvironmentServices

          public Map<Integer,​org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService> getSynapseEnvironmentServices()

    - #### getProxyObservers

          public Map<Integer,​ProxyObserver> getProxyObservers()